package org.test;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;

public class TestObject implements Serializable
{
    private static final long serialVersionUID = -1895557987693571539L;

    private static long nextId = 0;

    private final long id;

    private ArrayList<BigDecimal> someValues = new ArrayList<BigDecimal>();

    public TestObject()
    {
        for (int i = 0; i < 1000; i++)
        {
            someValues.add(BigDecimal.valueOf(i));
        }
        id = nextId++;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return "TestMessage-" + id;
    }

}
